#!/bin/sh -e

mkdir -p "$1/usr/bin/"

#Set our prefix.
sed -i 's/$(PREFIX)/$(DESTDIR)\/$(PREFIX)/g' Makefile
sed -i 's/PREFIX= \/u/PREFIX= \/usr/' Makefile
sed 6a"DESTDIR= $1" Makefile > tmp.m
mv tmp.m Makefile

make all install

#For some reason the generated image doesn't work.
rm "$1/usr/share/s9fes/s9.image"

#Fix the location of the manual
mv "$1/usr/man" "$1/usr/share/man/"

printf "\nPlease remember to set your S9FES_LIBRARY_PATH to /usr/share/s9fes!\n"
